Add to allowlist
curl --request POST \
--url https://api.privy.io/v1/apps/{app_id}/allowlist \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"type": "email",
"value": "batman@privy.io"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/apps/{app_id}/allowlist")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"email\",\n \"value\": \"batman@privy.io\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'email', value: 'batman@privy.io'})
};
fetch('https://api.privy.io/v1/apps/{app_id}/allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/apps/{app_id}/allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'email',
'value' => 'batman@privy.io'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/apps/{app_id}/allowlist"
payload := strings.NewReader("{\n \"type\": \"email\",\n \"value\": \"batman@privy.io\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "abc123",
"type": "email",
"value": "batman@privy.io",
"appId": "clxyz456",
"acceptedAt": null
}Allowlist
Add to allowlist
Add a new entry to the allowlist for an app. The allowlist must be enabled.
POST
/
v1
/
apps
/
{app_id}
/
allowlist
Add to allowlist
SDK methods
Learn more about managing your allowlist using our SDKs here.Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the app.
Body
application/json
Was this page helpful?

